package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 润滑部位信息对象 dms_base_lube_station
 * 
 * @author Open Platform
 * @date 2024-01-12
 */
public class DmsBaseLubeStation extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long lubeStationId;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 部位编号 */
    @Excel(name = "部位编号")
    private String lubeStationCode;

    /** 部位名称 */
    @Excel(name = "部位名称")
    private String lubeStationName;

    /** 润滑标准 */
    @Excel(name = "润滑标准")
    private String protocolCode;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setLubeStationId(Long lubeStationId) 
    {
        this.lubeStationId = lubeStationId;
    }

    public Long getLubeStationId() 
    {
        return lubeStationId;
    }
    public void setDeviceTypeId(Long deviceTypeId) 
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId() 
    {
        return deviceTypeId;
    }
    public void setLubeStationCode(String lubeStationCode) 
    {
        this.lubeStationCode = lubeStationCode;
    }

    public String getLubeStationCode() 
    {
        return lubeStationCode;
    }
    public void setLubeStationName(String lubeStationName) 
    {
        this.lubeStationName = lubeStationName;
    }

    public String getLubeStationName() 
    {
        return lubeStationName;
    }
    public void setProtocolCode(String protocolCode) 
    {
        this.protocolCode = protocolCode;
    }

    public String getProtocolCode() 
    {
        return protocolCode;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("lubeStationId", getLubeStationId())
            .append("deviceTypeId", getDeviceTypeId())
            .append("lubeStationCode", getLubeStationCode())
            .append("lubeStationName", getLubeStationName())
            .append("protocolCode", getProtocolCode())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
